petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMCreateRestriction

Gets restriction matrix between two DM objects

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMCreateRestriction(DM dm1,DM dm2,Mat *mat)

Collective on DM Many br

### Input Parameter

| dm1 | - the DM object Many br
| dm2 | - the second, finer DM object Many br

### Output Parameter

mat -the restriction Many br

Many br

Notes: For DMDA objects this only works for "uniform refinement", that is the refined mesh was obtained DMRefine() or the coarse mesh was obtained by Many brDMCoarsen(). The coordinates set into the DMDA are completely ignored in computing the interpolation. Many br

### See Also

DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateColoring(), DMCreateMatrix(), DMRefine(), DMCoarsen(), DMCreateInterpolation()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages